library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

-- Small shim to adapt the romgen block to what the Vectrex expects

entity cart_rom is
    Port ( clk : in  STD_LOGIC;
           rst : in  STD_LOGIC;
           cs : in  STD_LOGIC;
           rw : in  STD_LOGIC;
           addr : in  STD_LOGIC_VECTOR (12 downto 0);
           data_in : in  STD_LOGIC_VECTOR (7 downto 0);
           data_out : out  STD_LOGIC_VECTOR (7 downto 0));
end cart_rom;

architecture Behavioral of cart_rom is
component rom_cartridge
  port (
    CLK         : in    std_logic;
    ADDR        : in    std_logic_vector(12 downto 0);
    DATA        : out   std_logic_vector(7 downto 0)
    );
end component;
signal dataOut: STD_LOGIC_VECTOR(7 downto 0);
begin
myRomCartridge: rom_cartridge
	port map (
		CLK => clk,
		ADDR => addr,
		DATA => dataOut
	);

data_out <= dataOut when cs='1' else "00000000";

end Behavioral;

